<template>
  <div>
    <h1>Nuxt airtable module playground</h1>
    {{ data }}
    <!--<div v-for="item in test" :key="item.id">
      <p>{{ item.fields }}</p>
    </div>-->
  </div>
</template>

<script setup>
import { ref } from "vue";
import { useAirtableClient } from "~~/.nuxt/imports";

const { data } = useFetch("/api/airtable", {
  onRequest({ request, options }) {
    console.log("onRequest", request);
  },

  onResponse({ request, response, options }) {
    // Process the response data
    console.log("On response", response);
    return response._data;
  },
});
</script>

<style lang="scss" scoped></style>
